Bug 3272 - [UPDATE REQUEST] [UPSTREAM UPDATE] mksh
: [UPDATE REQUEST] [UPSTREAM UPDATE] mksh
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-28 14:22 MSK by Andrew Lukoshko
Modified: 2013-12-16 09:37 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-11-28 14:22:45 MSK
Previously, the mksh command interpreter interpreted the number as octal if
the leading character was zero. An upstream patch has been backported to fix
this bug and mksh now interprets all numbers correctly. 

http://rhn.redhat.com/errata/RHBA-2013-1479.html

https://abf.rosalinux.ru/build_lists/1391070
https://abf.rosalinux.ru/build_lists/1391071
Comment 1 Vladimir Potapov 2013-12-05 16:47:36 MSK
mksh-39-7.res6.1
*********************** RHEL Advisory *************************
Previously, the mksh command interpreter interpreted the number as octal if
the leading character was zero. An upstream patch has been backported to fix
this bug and mksh now interprets all numbers correctly. 
***************************************************************
QA Verified